#!/usr/bin/python3
import xml.etree.ElementTree
import re
# module load Anaconda3

#filename = str(raw_input()) # python2 version
filename = str(input())
root = xml.etree.ElementTree.parse(filename).getroot()
p = root.find("./DATA")

print("BEGIN_DATA")
for elem in p.findall("./ELEM"):
        SI = elem.find("./SNKOpID").text
        SR = elem.find("./SRCOpID").text
        SINK = int(SI)+1
        SRC = int(SR)+1
        print("SINK = ", SINK)
        print("SOURCE = ", SRC)
        CFreal = [float(cfval) for cfval in elem.find("./real").text.split(" ")]
        CFimag = [float(cfval) for cfval in elem.find("./imag").text.split(" ")]
        for it in range(len(CFreal)):
                itt = it+1
                print ("{0:d}\t{1:+.12e}  {2:+.12e}".format(itt, CFreal[it], CFimag[it]))

print("END_DATA")

